org.osgi.framework.BundleException: Could not resolve module: org.eclipse.rcptt.ctx.debug.impl [109] Unresolved requirement: Import-Package: org.eclipse.core.variables

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Solutions on the web

via eclipse.org by Unknown author, 1 year ago
Could not resolve module: org.eclipse.rcptt.ctx.debug.impl [109] Unresolved requirement: Import-Package: org.eclipse.core.variables
via GitHub by SandraWeddig
, 1 month ago
Could not resolve module: org.eclipse.smarthome.io.console [109] Unresolved requirement: Import-Package: org.apache.commons.lang
via Stack Overflow by Marcelo Amoretti
, 9 months ago
Could not resolve module: org.apache.httpcomponents.httpclient [42] Unresolved requirement: Import-Package: net.sf.ehcache; resolution:="optional" Unresolved requirement: Import-Package: net.spy.memcached; resolution:="optional" Unresolved requirement: Import-Package: org.apache.commons.codec.binary; version="1.6.0"
via GitHub by tarcisiojr
, 8 months ago
Could not resolve module: org.eclipse.core.databinding [14] Unresolved requirement: Import-Package: com.ibm.icu.math; resolution:="optional" Unresolved requirement: Import-Package: com.ibm.icu.text ```
via GitHub by robertw
, 6 months ago
Could not resolve module: org.openhab.binding.isy [218] Unresolved requirement: Import-Package: org.hamcrest.core; version="1.3.0"
via GitHub by svilenvul
, 1 year ago
Could not resolve module: org.eclipse.jetty.security [3] Unresolved requirement: Import-Package: org.eclipse.jetty.http; version="[8.1.0,9.0.0)"
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.rcptt.ctx.debug.impl [109] Unresolved requirement: Import-Package: org.eclipse.core.variables
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)

Users with the same issue

Samebug visitor profile picture
Unknown user
Once, 1 month ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.